Project D3D11Client download and installation instructions

asmi

Addon Developer
Addon Developer
Joined
Jan 9, 2012
Messages
350
Reaction score
0
Points
0
Location
Ontario
Hi,

I have received a number of enquiries regarding client downloading and installation, so I've decided to sum this up in a single place. I will keep this post with up-to-date information about the client.

Requirements:
OS: Windows Vista 32/64 bit or newer.
Video card: minimum Direct3D 10-compatible, Direct3D 11-compatible recommended as some effects currently work only on Direct3D 11 level hardware
Orbiter: current build is only compatible with 111105 Beta, which can be downloaded from here: http://www.orbiter-forum.com/download.php#downloadbeta

Download/installation instructions:
1. Go to https://bitbucket.org/asmi/ovp and choose "D3D11Client" branch by hovering "Branches" link on the left top part of the screen and selecting a branch from menu that opened up.
2. Hover "get source" link on the top right part of the screen and choose "zip". You'll get file with name like "asmi-ovp-e90912175309.zip".
3. Unpack archive somewhere - you'll get folder "asmi-ovp-e90912175309" (your actual folder name may be different, but it doesn't matter). Nagivate inside and copy everything you'll find inside to the Orbiter's root folder. I'd suggest you to create a copy of your current Orbiter's installation to avoid having to reinstall all of this should there be any problems.
4. Install DirectX 11 June 2010 update. It can be downloaded from here: http://www.microsoft.com/download/en/details.aspx?id=8109 Launch Orbiter_ng.exe from Orbiter's root folder, go to "Modules" tab and check D3D11Client - it's under "Graphic engines" category.
5. Now go to "Video" tab and set desired window size (currently fullscreen is not supported), then click "D3D11Client Configuration" button and set up client options the way you prefer.
6. After you're done with settings, go to "Scenarios" tab, choose desired scenario and hit "Launch Orbiter" button.
7. Enjoy!

Please share your experience, as well as any feedback, bug reports, feature suggestions and whatever else you feel like you need to tell us in this thread: http://www.orbiter-forum.com/showthread.php?t=25040

Known issues:
  • DGIV vessel doesn't working with this (and any other) graphics client
  • There is a confirmed issue with client rendering when you have turned on forced settings like AA in your video card's driver - please either reset them all to "Application Controlled", or add <orbiter_path>\Modules\Server\Orbiter.exe to the exception list.
  • There is at least one confirmed case when CTDs were caused by an outdated video driver, so please make sure you use latest version of your video card's drivers
 
Last edited:

edsupagood

Addon Developer
Addon Developer
Joined
Oct 26, 2010
Messages
135
Reaction score
0
Points
16
Will this work with nVidia 9500 GT?
 

edsupagood

Addon Developer
Addon Developer
Joined
Oct 26, 2010
Messages
135
Reaction score
0
Points
16
I tried it, when I click on Video tab, I get an "obiter.exe has stopped working" error even though I turn on obiter_ng.exe.
 

asmi

Addon Developer
Addon Developer
Joined
Jan 9, 2012
Messages
350
Reaction score
0
Points
0
Location
Ontario
I tried it, when I click on Video tab, I get an "obiter.exe has stopped working" error even though I turn on obiter_ng.exe.
This should be fixed now. Please get latest and give it a try.
 

asmi

Addon Developer
Addon Developer
Joined
Jan 9, 2012
Messages
350
Reaction score
0
Points
0
Location
Ontario
May not with me. With or without "_ng.ewe" I have an error.
Hmmm. Are you able to run default client (orbiter.exe)? Do NOT enable D3D11Client module in orbiter.exe as it won't work. And please post any bugs/errors into discussion thread - I'd like to keep this thread for announcements only.
 

SolarLiner

It's necessary, TARS.
Addon Developer
Joined
Jun 14, 2010
Messages
1,847
Reaction score
0
Points
0
Location
404 ROAD NOT FOUND
Hmmm. Are you able to run default client (orbiter.exe)? Do NOT enable D3D11Client module in orbiter.exe as it won't work. And please post any bugs/errors into discussion thread - I'd like to keep this thread for announcements only.
With "orbiter.exe" D3D9Client is unchecked, and with "_ng.exe" it's checked.
But I have checked "D3D9Debug" with D3D11Client, so I was a CTD. Now it's okay, I can return to DGIV Bêta-Test. Thanks

PS: Okay, I found this thread.
 

Screamer7

Member
Joined
Sep 14, 2011
Messages
474
Reaction score
20
Points
18
Location
Virginia FS
Hi asmi
I installed all the files as per instruction.
I enabled the D3D11 client tab in the modules menu.
But when I click on the video tab, I get a ctd.
Here is my log file.....
**** Orbiter.log
Build Aug 30 2010 [v.100830]
Timer precision: 5.11987e-007 sec
Found 1 joystick(s)
Module AtlantisConfig.dll .... [Build 100830, API 100830]
Module AtmConfig.dll ......... [Build 100830, API 100830]
Module DGConfigurator.dll .... [Build 100830, API 100830]
Module D3D11Client.dll ....... [Build 120421, API 111105]
Error loading module Modules\Plugin\D3D11Client.dll (code -1073741674)

My joystick is not enabled in the joystick tab.
The D3D9 client working fine.
My graphics card is a nVidia 9600 GT.
Any suggestion's?
 

Screamer7

Member
Joined
Sep 14, 2011
Messages
474
Reaction score
20
Points
18
Location
Virginia FS
Thanks asmi

I was so focused upon the clients that I totally miss the 111105 beta update.:huh:
 

Goth

Occasional orbinaut
Donator
Joined
Aug 1, 2008
Messages
424
Reaction score
0
Points
0
So when I arrive at point 4, opening Orbiter_ng.exe I get:
C:\Orbiter\Orbiter_ng.exe

The application has failed to start because its side-by-side configuration is incorrect. Please see the application event log or use the command-line sxstrace.exe tool for more detail.
Orbiter.log is not created.

I already installed vcredist_x86.exe and the last version of DirectX.
I've used the diff for the last beta and I started from a clean install.
I've also found this topic but it didn't solve the problem.

I've also read this, but again, no help.
 

asmi

Addon Developer
Addon Developer
Joined
Jan 9, 2012
Messages
350
Reaction score
0
Points
0
Location
Ontario
So when I arrive at point 4, opening Orbiter_ng.exe I get:

Orbiter.log is not created.

I already installed vcredist_x86.exe and the last version of DirectX.
I've used the diff for the last beta and I started from a clean install.
I've also found this topic but it didn't solve the problem.

I've also read this, but again, no help.

Please try "inline" client (Orbiter.exe) first and see if it works.
 

Goth

Occasional orbinaut
Donator
Joined
Aug 1, 2008
Messages
424
Reaction score
0
Points
0
Forgot to say, Orbiter.exe doesn't work either. Same error.
 

asmi

Addon Developer
Addon Developer
Joined
Jan 9, 2012
Messages
350
Reaction score
0
Points
0
Location
Ontario
Forgot to say, Orbiter.exe doesn't work either. Same error.
In this case the problem is not related to the client, so I'm sure what to do... Try reinstalling the client, also if you used WinRAR to extract update package to beta - try different program - for some reason WinRAR doesn't like .z archives and unpacks them incorrectly...
 

Goth

Occasional orbinaut
Donator
Joined
Aug 1, 2008
Messages
424
Reaction score
0
Points
0
No I use 7zip. Anyway, yes, I'll try to reinstall and see how it goes.
Have I to run the beta before the graphic patch install maybe?
 

asmi

Addon Developer
Addon Developer
Joined
Jan 9, 2012
Messages
350
Reaction score
0
Points
0
Location
Ontario
No I use 7zip. Anyway, yes, I'll try to reinstall and see how it goes.
Have I to run the beta before the graphic patch install maybe?
Yea, before installing graphics package please make sure inline client works. So install Orbiter, update it to beta and check if it works, and only after that proceed to GC installation.
 

orb

O-F Administrator,
Administrator
Joined
Oct 30, 2009
Messages
14,023
Reaction score
0
Points
0

Goth

Occasional orbinaut
Donator
Joined
Aug 1, 2008
Messages
424
Reaction score
0
Points
0
Ok the error is with the beta. So maybe moderators can move this.
Anyway, the problem seems to be that orbiter.exe and orbiter_ng.exe from the beta give me that error.
I tried installing Orbiter before applying the beta diff, but I also tried just to copy the diff files there and then run orbiter.
Same error in both cases.

@orb: yes, as I've said in my previous post. I will try your link, maybe it's different.
 

orb

O-F Administrator,
Administrator
Joined
Oct 30, 2009
Messages
14,023
Reaction score
0
Points
0
Ok the error is with the beta. So maybe moderators can move this.
Anyway, the problem seems to be that orbiter.exe and orbiter_ng.exe from the beta give me that error.
If it's a problem with Orbiter beta, and my solution doesn't work for you, please report it in this issue report. Moderators can't move posts to projects.
 
Top